package com.loafle.bridge.discoveryport.controller;

import com.loafle.bridge.discoveryport.entity.DiscoveryPort;
import com.loafle.bridge.discoveryport.repository.DiscoveryPortRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by root on 16. 11. 15.
 */

@RestController
public class DiscoveryPortController {

    @Autowired
    DiscoveryPortRepository repository;

    @RequestMapping(value = "/discoveryPort/{id}", method = RequestMethod.GET)
    public DiscoveryPort get(@PathVariable(value = "id") long id) {
        return repository.findOne(id);
    }
}
